> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search available Twilio phone numbers

> Search for available phone numbers from Twilio based on various criteria



## OpenAPI

````yaml get /api/v1/twilio/search
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/twilio/search:
    get:
      tags:
        - Phone Numbers
      summary: Search available Twilio phone numbers
      description: Search for available phone numbers from Twilio based on various criteria
      parameters:
        - schema:
            type: string
            pattern: ^\d{3}$
            example: '415'
          required: false
          name: areaCode
          in: query
        - schema:
            type: string
            pattern: ^\d{3}$
            example: '555'
          required: false
          name: contains
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 1000
            default: 20
            example: 20
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: Available phone numbers retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  phoneNumbers:
                    type: array
                    items:
                      type: object
                      properties:
                        friendlyName:
                          type: string
                        phoneNumber:
                          type: string
                        lata:
                          type: string
                          nullable: true
                        rateCenter:
                          type: string
                          nullable: true
                        latitude:
                          type: string
                          nullable: true
                        longitude:
                          type: string
                          nullable: true
                        region:
                          type: string
                          nullable: true
                        postalCode:
                          type: string
                          nullable: true
                        isoCountry:
                          type: string
                          nullable: true
                        addressRequirements:
                          type: string
                          nullable: true
                        capabilities:
                          type: object
                          properties:
                            voice:
                              type: boolean
                              nullable: true
                            SMS:
                              type: boolean
                              nullable: true
                            MMS:
                              type: boolean
                              nullable: true
                            fax:
                              type: boolean
                              nullable: true
                          required:
                            - voice
                            - SMS
                            - MMS
                            - fax
                      required:
                        - friendlyName
                        - phoneNumber
                        - lata
                        - rateCenter
                        - latitude
                        - longitude
                        - region
                        - postalCode
                        - isoCountry
                        - addressRequirements
                        - capabilities
                required:
                  - success
                  - phoneNumbers
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````